import { useAsyncData } from "#imports";
import { useMeiliSearchRef } from "./useMeiliSearchRef.mjs";
export async function useAsyncMeiliSearch({ index, query, params }) {
  if (!index)
    throw new Error("`[nuxt-meilisearch]` Cannot search  without `index`");
  const client = useMeiliSearchRef();
  const result = await useAsyncData(`${index}-async-search-result`, async () => {
    return await client.index(index).search(query, params);
  });
  return result;
}
